Package com.google.android.exoplayer2.mediacodec

## Interface MediaCodecAdapter.OnFrameRenderedListener

- Enclosing interface:
    MediaCodecAdapter

      public static interface MediaCodecAdapter.OnFrameRenderedListener

  Listener to be called when an output frame has rendered on the output surface.
  See Also:
    `MediaCodec.OnFrameRenderedListener`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onFrameRendered​(MediaCodecAdapter codec, long presentationTimeUs, long nanoTime)` |

- - ### Method Detail

    - #### onFrameRendered

          void onFrameRendered​(MediaCodecAdapter codec,
                               long presentationTimeUs,
                               long nanoTime)